Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356625 - Review Request: python-cotyledon - Framework for defining long-running services
Summary: Review Request: python-cotyledon - Framework for defining long-running services
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-NEWTON
TreeView+ depends on / blocked
 
Reported: 2016-07-14 13:56 UTC by Pradeep Kilambi
Modified: 2017-09-28 15:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-28 15:26:47 UTC
karlthered: fedora-review+


Attachments (Terms of Use)

Description Pradeep Kilambi 2016-07-14 13:56:45 UTC
Spec URL: https://github.com/sileht/cotyledon-rpm/blob/master/python-cotyledon.spec

SRPM URL: https://github.com/sileht/cotyledon-rpm/blob/master/python-cotyledon-1.2.5-1.fc25.src.rpm

Description: Cotyledon provides a framework for defining long-running services.

Comment 1 Igor Gnatenko 2016-07-14 14:01:05 UTC
What's your FAS account?

Comment 2 Pradeep Kilambi 2016-07-14 15:27:27 UTC
(In reply to Igor Gnatenko from comment #1)
> What's your FAS account?

pkilambi


updated Spec and SRPM:

https://github.com/pkilambi/cotyledon-rpm/blob/master/python-cotyledon.spec

https://github.com/pkilambi/cotyledon-rpm/blob/master/python-cotyledon-1.2.5-2.fc24.src.rpm

Comment 3 Alan Pevec 2016-07-14 20:34:47 UTC
Spec URL: https://github.com/pkilambi/cotyledon-rpm/blob/master/python-cotyledon.spec

SRPM URL: https://github.com/pkilambi/cotyledon-rpm/blob/master/python-cotyledon-1.2.5-2.fc24.src.rpm

Description: Cotyledon provides a framework for defining long-running services.

Comment 4 Alan Pevec 2016-07-14 20:38:47 UTC
Spec URL: https://raw.githubusercontent.com/pkilambi/cotyledon-rpm/master/python-cotyledon.spec

SRPM URL: https://github.com/pkilambi/cotyledon-rpm/raw/master/python-cotyledon-1.2.5-2.fc24.src.rpm

Description: Cotyledon provides a framework for defining long-running services.

Comment 5 Haïkel Guémar 2016-07-14 20:42:12 UTC
Missing %check section

Considering https://github.com/sileht/cotyledon/blob/master/test-requirements.txt
We need BR: oslotest test{repository,scenarios,tools}

Don't rebuild sphinx doc in python3 variant

Python2/3 tests should be packaged in separate packages, and they should requires respectively python2-cotyledon and python-cotyledon.

Comment 6 Alan Pevec 2016-07-14 21:12:08 UTC
- build docs only once and use setup.py build_sphinx command
- do not Remove bundled egg-info see https://fedorahosted.org/fpc/ticket/488 - egg metadata from upstream should be kept, only _binary_ packages should be removed which is not the case in sdist tarball here

Comment 7 Alan Pevec 2016-07-14 21:44:39 UTC
I got:
    Installed (but unpackaged) file(s) found:
   /usr/bin/cotyledon-example

Comment 8 Alan Pevec 2016-07-14 21:46:38 UTC
ignore ^ I messed up spec locally

Comment 9 Pradeep Kilambi 2016-07-15 14:12:15 UTC
(In reply to Haïkel Guémar from comment #5)
> Missing %check section
> 
> Considering
> https://github.com/sileht/cotyledon/blob/master/test-requirements.txt
> We need BR: oslotest test{repository,scenarios,tools}
> 
> Don't rebuild sphinx doc in python3 variant
> 
> Python2/3 tests should be packaged in separate packages, and they should
> requires respectively python2-cotyledon and python-cotyledon.

Addressed your comments in the following release 1.2.5-3

Comment 10 Pradeep Kilambi 2016-07-15 14:12:35 UTC
SPEC URL: https://raw.githubusercontent.com/pkilambi/cotyledon-rpm/master/python-cotyledon.spec

SRPM URL: https://github.com/pkilambi/cotyledon-rpm/blob/master/python-cotyledon-1.2.5-3.fc24.src.rpm

Description: Cotyledon provides a framework for defining long-running services.

Comment 11 Haïkel Guémar 2016-07-15 14:21:59 UTC
Fix SRPM URL

SPEC URL: https://raw.githubusercontent.com/pkilambi/cotyledon-rpm/master/python-cotyledon.spec

SRPM URL: https://github.com/pkilambi/cotyledon-rpm/raw/master/python-cotyledon-1.2.5-3.fc24.src.rpm

Description: Cotyledon provides a framework for defining long-running services.

Comment 12 Haïkel Guémar 2016-07-15 14:29:45 UTC
Does not build, due to missing 2to3 utility. 
I don't think that 2to3 is needed here.

Comment 13 Pradeep Kilambi 2016-07-15 14:42:27 UTC
I had python-tools locally hence dint catch that.. sorry. Fixed.

SPEC URL: https://raw.githubusercontent.com/pkilambi/cotyledon-rpm/master/python-cotyledon.spec

SRPM URL: https://github.com/pkilambi/cotyledon-rpm/blob/master/python-cotyledon-1.2.5-3.fc24.src.rpm

Comment 14 Alan Pevec 2016-07-15 22:59:34 UTC
nitpick:
- changelog entries do not match Version

Comment 16 Alan Pevec 2016-07-29 22:05:54 UTC
%changelog still has 1.2.3 while Version is 1.2.5

Comment 18 Haïkel Guémar 2016-08-25 15:08:26 UTC
Approved but some changes must be done before import:

1. move sphinx-build to %build
2. move BR/R to python2-cotyledon (especially the requires to setproctitle or it will be noop)
3. run python3 test suite



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 16 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1356625-python-cotyledon/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-cotyledon , python3-cotyledon-tests , python-cotyledon-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-cotyledon-1.2.5-3.fc26.noarch.rpm
          python2-cotyledon-tests-1.2.5-3.fc26.noarch.rpm
          python3-cotyledon-1.2.5-3.fc26.noarch.rpm
          python3-cotyledon-tests-1.2.5-3.fc26.noarch.rpm
          python-cotyledon-doc-1.2.5-3.fc26.noarch.rpm
          python-cotyledon-1.2.5-3.fc26.src.rpm
python2-cotyledon-tests.noarch: W: no-documentation
python2-cotyledon-tests.noarch: W: no-manual-page-for-binary cotyledon-example
python3-cotyledon-tests.noarch: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python3-cotyledon-tests.noarch: W: no-documentation
python2-cotyledon-tests.noarch: W: no-documentation
python2-cotyledon-tests.noarch: W: no-manual-page-for-binary cotyledon-example
5 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
python-cotyledon (rpmlib, GLIBC filtered):
    python(abi)
    python-setproctitle

python3-cotyledon-tests (rpmlib, GLIBC filtered):
    python(abi)
    python3-cotyledon
    python3-oslotest
    python3-testrepository
    python3-testscenarios
    python3-testtools

python2-cotyledon-tests (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python-cotyledon
    python-oslotest
    python-testrepository
    python-testscenarios
    python-testtools

python3-cotyledon (rpmlib, GLIBC filtered):
    python(abi)
    python3-setproctitle

python-cotyledon-doc (rpmlib, GLIBC filtered):



Provides
--------
python-cotyledon:
    python-cotyledon
    python2.7dist(cotyledon)
    python2dist(cotyledon)

python3-cotyledon-tests:
    python3-cotyledon-tests

python2-cotyledon-tests:
    python2-cotyledon-tests

python3-cotyledon:
    python3-cotyledon
    python3.5dist(cotyledon)
    python3dist(cotyledon)

python-cotyledon-doc:
    python-cotyledon-doc



Source checksums
----------------
https://pypi.io/packages/source/c/cotyledon/cotyledon-1.2.5.tar.gz :
  CHECKSUM(SHA256) this package     : 0a6e9b233b83a6de36861112b99cd5925920fb9225cbe5b91067bc458f824b91
  CHECKSUM(SHA256) upstream package : 0a6e9b233b83a6de36861112b99cd5925920fb9225cbe5b91067bc458f824b91


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1356625 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 19 Pradeep Kilambi 2016-08-31 17:31:55 UTC
Thanks! Fixed the above comments. Please review:

fixed.

SPEC URL: https://pkilambi.fedorapeople.org/python-cotyledon/python-cotyledon.spec

SPRPM URL: https://pkilambi.fedorapeople.org/python-cotyledon/python-cotyledon-1.2.7-1.fc24.src.rpm

Comment 20 Gwyn Ciesla 2016-08-31 21:24:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-cotyledon

Comment 21 Fedora Update System 2016-09-01 19:09:44 UTC
python-cotyledon-1.2.7-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fdc0c52216

Comment 22 Fedora Update System 2016-09-01 19:18:44 UTC
python-cotyledon-1.2.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5f2dbfa334

Comment 23 Fedora Update System 2016-09-03 02:48:17 UTC
python-cotyledon-1.2.7-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5f2dbfa334

Comment 24 Fedora Update System 2016-09-03 03:54:26 UTC
python-cotyledon-1.2.7-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fdc0c52216

Comment 25 Fedora Update System 2017-02-08 21:17:26 UTC
python-cotyledon-1.6.7-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-907b21eb77

Comment 26 Fedora Update System 2017-02-09 22:21:34 UTC
python-cotyledon-1.6.7-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-907b21eb77


Note You need to log in before you can comment on or make changes to this bug.